---
title: List Org Connections
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Org Connections
---

# List Org Connections{% #list-org-connections %}
Copy pageCopied
{% tab title="v2" %}

| Datadog site      | API endpoint                                             |
| ----------------- | -------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/org_connections |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/org_connections |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/org_connections      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/org_connections      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/org_connections  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/org_connections     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/org_connections |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/org_connections |

### Overview

Returns a list of org connections. This endpoint requires the `org_connections_read` permission.

OAuth apps require the `org_connections_read` authorization [scope](https://docs.datadoghq.com/api/latest/scopes.md#org-connections) to access this endpoint.



### Arguments

#### Query Strings

| Name          | Type    | Description                                                         |
| ------------- | ------- | ------------------------------------------------------------------- |
| sink_org_id   | string  | The Org ID of the sink org.                                         |
| source_org_id | string  | The Org ID of the source org.                                       |
| limit         | integer | The limit of number of entries you want to return. Default is 1000. |
| offset        | integer | The pagination offset which you want to query from. Default is 0.   |

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Response containing a list of org connections.

| Parent field  | Field                              | Type      | Description                                                            |
| ------------- | ---------------------------------- | --------- | ---------------------------------------------------------------------- |
|               | data [*required*]             | [object]  | List of org connections.                                               |
| data          | attributes [*required*]       | object    | Org connection attributes.                                             |
| attributes    | connection_types [*required*] | [string]  | List of connection types.                                              |
| attributes    | created_at [*required*]       | date-time | Timestamp when the connection was created.                             |
| data          | id [*required*]               | uuid      | The unique identifier of the org connection.                           |
| data          | relationships [*required*]    | object    | Related organizations and user.                                        |
| relationships | created_by                         | object    | User relationship.                                                     |
| created_by    | data                               | object    | The data for a user relationship.                                      |
| data          | id                                 | string    | User UUID.                                                             |
| data          | name                               | string    | User name.                                                             |
| data          | type                               | enum      | The type of the user relationship. Allowed enum values: `users`        |
| relationships | sink_org                           | object    | Org relationship.                                                      |
| sink_org      | data                               | object    | The definition of `OrgConnectionOrgRelationshipData` object.           |
| data          | id                                 | string    | Org UUID.                                                              |
| data          | name                               | string    | Org name.                                                              |
| data          | type                               | enum      | The type of the organization relationship. Allowed enum values: `orgs` |
| relationships | source_org                         | object    | Org relationship.                                                      |
| source_org    | data                               | object    | The definition of `OrgConnectionOrgRelationshipData` object.           |
| data          | id                                 | string    | Org UUID.                                                              |
| data          | name                               | string    | Org name.                                                              |
| data          | type                               | enum      | The type of the organization relationship. Allowed enum values: `orgs` |
| data          | type [*required*]             | enum      | Org connection type. Allowed enum values: `org_connection`             |
|               | meta                               | object    | Pagination metadata.                                                   |
| meta          | page                               | object    | Page information.                                                      |
| page          | total_count                        | int64     | Total number of org connections.                                       |
| page          | total_filtered_count               | int64     | Total number of org connections matching the filter.                   |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": [
    {
      "attributes": {
        "connection_types": [
          "logs",
          "metrics"
        ],
        "created_at": "2023-01-01T12:00:00Z"
      },
      "id": "f9ec96b0-8c8a-4b0a-9b0a-1b2c3d4e5f6a",
      "relationships": {
        "created_by": {
          "data": {
            "id": "usr123abc456",
            "name": "John Doe",
            "type": "users"
          }
        },
        "sink_org": {
          "data": {
            "id": "f9ec96b0-8c8a-4b0a-9b0a-1b2c3d4e5f6a",
            "name": "Example Org",
            "type": "orgs"
          }
        },
        "source_org": {
          "data": {
            "id": "f9ec96b0-8c8a-4b0a-9b0a-1b2c3d4e5f6a",
            "name": "Example Org",
            "type": "orgs"
          }
        }
      },
      "type": "org_connection"
    }
  ],
  "meta": {
    "page": {
      "total_count": 0,
      "total_filtered_count": 0
    }
  }
}
```

{% /tab %}

{% /tab %}

{% tab title="401" %}
Unauthorized
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Curl command curl -X GET "https://api.datadoghq.com/api/v2/org_connections" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" 
                
##### 

```python
"""
List Org Connections returns "OK" response
"""

from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.org_connections_api import OrgConnectionsApi

configuration = Configuration()
with ApiClient(configuration) as api_client:
    api_instance = OrgConnectionsApi(api_client)
    response = api_instance.list_org_connections()

    print(response)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=python) and then save the example to `example.py` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" python3 "example.py"
##### 

```ruby
# List Org Connections returns "OK" response

require "datadog_api_client"
api_instance = DatadogAPIClient::V2::OrgConnectionsAPI.new
p api_instance.list_org_connections()
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=ruby) and then save the example to `example.rb` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" rb "example.rb"
##### 

```go
// List Org Connections returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewOrgConnectionsApi(apiClient)
	resp, r, err := api.ListOrgConnections(ctx, *datadogV2.NewListOrgConnectionsOptionalParameters())

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `OrgConnectionsApi.ListOrgConnections`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `OrgConnectionsApi.ListOrgConnections`:\n%s\n", responseContent)
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=go) and then save the example to `main.go` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" go run "main.go"
##### 

```java
// List Org Connections returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.OrgConnectionsApi;
import com.datadog.api.client.v2.model.OrgConnectionListResponse;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    OrgConnectionsApi apiInstance = new OrgConnectionsApi(defaultClient);

    try {
      OrgConnectionListResponse result = apiInstance.listOrgConnections();
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling OrgConnectionsApi#listOrgConnections");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=java) and then save the example to `Example.java` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" java "Example.java"
##### 

```rust
// List Org Connections returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_org_connections::ListOrgConnectionsOptionalParams;
use datadog_api_client::datadogV2::api_org_connections::OrgConnectionsAPI;

#[tokio::main]
async fn main() {
    let configuration = datadog::Configuration::new();
    let api = OrgConnectionsAPI::with_config(configuration);
    let resp = api
        .list_org_connections(ListOrgConnectionsOptionalParams::default())
        .await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=rust) and then save the example to `src/main.rs` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" cargo run
##### 

```typescript
/**
 * List Org Connections returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
const apiInstance = new v2.OrgConnectionsApi(configuration);

apiInstance
  .listOrgConnections()
  .then((data: v2.OrgConnectionListResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=typescript) and then save the example to `example.ts` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" tsc "example.ts"
{% /tab %}
